Delete credit block
curl --request DELETE \
--url https://api.withorb.com/v1/credit_blocks/{block_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.withorb.com/v1/credit_blocks/{block_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.withorb.com/v1/credit_blocks/{block_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"type": "https://docs.withorb.com/reference/error-responses#400-constraint-violation",
"status": 400,
"detail": "<string>",
"title": "<string>"
}{
"type": "https://docs.withorb.com/reference/error-responses#401-authentication-error",
"status": 401,
"detail": "<string>",
"title": "<string>"
}{
"type": "https://docs.withorb.com/reference/error-responses#404-feature-not-available",
"status": 400,
"detail": "<string>",
"title": "<string>"
}{
"type": "https://docs.withorb.com/reference/error-responses#409-resource-conflict",
"status": 409,
"detail": "<string>",
"title": "<string>"
}{
"type": "https://docs.withorb.com/reference/error-responses#413-request-too-large",
"status": 413,
"detail": "<string>",
"title": "<string>"
}{
"type": "https://docs.withorb.com/reference/error-responses#429-too-many-requests",
"status": 429,
"detail": "<string>",
"title": "<string>"
}{
"type": "https://docs.withorb.com/reference/error-responses#500-internal-server-error",
"status": 123,
"detail": "<string>",
"title": "<string>"
}Credit
Delete credit block
This endpoint deletes a credit block by its ID.
When a credit block is deleted:
- The block is removed from the customer’s credit ledger.
- Any usage of the credit block is reversed, and the ledger is replayed as if the block never existed.
- If invoices were generated from the purchase of the credit block, they will be deleted if in draft status, voided if issued, or a credit note will be issued if the invoice is paid.
Issued invoices that had credits applied from this block will not be regenerated, but the ledger will reflect the state as if credits from the deleted block were never applied.
DELETE
/
credit_blocks
/
{block_id}
Delete credit block
Was this page helpful?
⌘I